none
.net 1.1 與 .net 2.0 可共用? 問的不好請海涵 RRS feed

  • 問題


  • hi 各位達人

    1. 請問可以使用vs2005+net2.0去使用net1.1的開發的東西( dll , exe )嗎?

    因不明原因而要回頭使用vs2003+net1.1,有點不知如何是好。
    2008年4月7日 上午 09:03

解答

所有回覆

  • 我沒記錯的話,.net framework是side by side去跑的,你裝了1.1跟2.0在同一台上面不會有不良的影響,程式運作是可以的;而如果1.1的程式放到只有安裝2.0的環境上面跑,如果在沒有明確指定.net framework版本的情形下,也會嘗試的去用現有的framework去跑你的程式,但是不確定所有功能都能正常運作就是了;以你的情形來說VS2005+2.0是可以去引用1.1所做的東西,不過目標平台也要安裝(建議)兩套framework就是了,而以VS2005來說是只能開發2.0的東西。以上參考看看。

    2008年4月7日 上午 09:18
    版主
  • 不行。

     

    所以請安裝 VS2003 。

    2008年4月8日 上午 05:29
    版主